# Returns customer usage by charging unit type summary information Returns usage quantities grouped by charging unit type Endpoint: GET /customer-usage-by-charging-unit-type-summaries Version: 1.49 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `customerId` (string, required) Required filter by customer Example: "0" - `billRunId` (string) Optional filter by bill run Example: "0" - `chargingUnitType` (string) Optional filter by charge unit type Example: "xyz | in:x,y | like:xyz" ## Response 200 fields (application/json): - `customerId` (integer) Customer identifier Example: 1 - `billRunId` (integer) Bill run identifier - `billRunName` (string) Bill run name - `chargingUnitSummaries` (array) - `chargingUnitSummaries.chargingUnitType` (string) Charging unit i.e. duration or data (MB) or one off Enum: "DURATION", "MB", "ONE_OFF" - `chargingUnitSummaries.quantity` (number) The quantity of the usage records for this charging unit type Example: 80 - `chargingUnitSummaries.priceInMajorCurrency` (number) Price of the quantity of the usage records for this charging unit type (e.g pounds/dollars/euros) Example: 100 ## Response 400 fields ## Response 401 fields ## Response 403 fields